6.0.0-git
2019-03-23

[#10092] Portal button does nothing in Dimp iframe mode
Summary Portal button does nothing in Dimp iframe mode
Queue IMP
Queue Version 5.0.3
Type Bug
State Resolved
Priority 1. Low
Owners
Requester lang (at) b1-systems (dot) de
Created 2011-05-17 (2867 days ago)
Due
Updated 2011-06-30 (2823 days ago)
Assigned 2011-05-17 (2867 days ago)
Resolved 2011-06-02 (2851 days ago)
Milestone
Patch No

History
2011-06-30 10:14:01 Git Commit Comment #22 Reply to this comment
Changes have been made in Git for this ticket:

Use a different element id, to not trigger the iframe loading again 
(Bug #10092).

  2 files changed, 2 insertions(+), 2 deletions(-)
http://git.horde.org/horde-git/-/commit/587a54f9091a73466775cb8781c886c2fd2b7e3d
2011-06-29 17:31:35 Git Commit Comment #21 Reply to this comment
Changes have been made in Git for this ticket:

Highlight portal entry, not prefs (Bug #10092).

  2 files changed, 2 insertions(+), 2 deletions(-)
http://git.horde.org/horde-git/-/commit/d1482fae378f220385e9d5223ae55c8afa68fc7f
2011-06-03 04:22:50 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #20 Reply to this comment
The original issue seems to be fixed. Better integration of ajax and 
non-ajax applications is on the agenda for Horde 5.
A little cosmetic issue is still there: When clicked on Portal, 
instead of Portal, User Preferences will be highlighted yellow.
2011-06-02 20:05:50 Jan Schneider Comment #19
State ⇒ Resolved
Reply to this comment
The original issue seems to be fixed. Better integration of ajax and 
non-ajax applications is on the agenda for Horde 5.
2011-05-24 13:04:59 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #18 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10092: Readd code to view portal, even though it is still disabled

  2 files changed, 10 insertions(+), 0 deletions(-)
http://git.horde.org/horde-git/-/commit/c16a6e31fb0b95aca5a9265916f8f49d50c27d65
With these changes it works fine for me. Thank you
2011-05-19 15:48:25 Git Commit Comment #17 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10092: Readd code to view portal, even though it is still disabled

  2 files changed, 10 insertions(+), 0 deletions(-)
http://git.horde.org/horde-git/-/commit/c16a6e31fb0b95aca5a9265916f8f49d50c27d65
2011-05-18 16:53:06 Michael Slusarz Comment #16 Reply to this comment
Apart from user experience of changing navigation (horde menu, imp 
menu) there is also a problem when users click on imp sub menu 
points, like folders. Imp won't check if ajax is available and will 
directly go to traditional view.
Precisely my point.  This needs to be fixed by implementing in Horde, 
NOT by hacking around in a single application.
2011-05-18 16:52:17 Michael Slusarz Comment #15 Reply to this comment
However this part you are not going to like - the Portal doesn't work
correctly with iframes on.  And I'm not sure we can realistically
make it work either without adding a bunch of hackish code.  The
problem is that any link within the iframe that eventually opens up
IMP again (e.g. the newmail folder summary) will cause IMP to be
fully reloaded within the IFRAME.  So you end up with 2 sidebars.
Didn't you move the old dynamic portal to Horde at one point?
Yes.  And that is precisely the problem.  We used to have old hackish 
code embedded in the portal view code that would attempt to workaround 
the living in an IFRAME issue.  Not only was the code not 100% 
reliable, but it was also necessarily removed when the portal code 
moved to horde because it was completely dimp specific.

[Show Quoted Text - 10 lines]
I understand the reasons.  The problem is that it is completely 
hackishly put together.  We had an opportunity to standardize this for 
Horde 4, but nobody was interested.  Therefore, my belief is that it 
isn't appropriate to keep around if it isn't working correctly.
2011-05-18 08:17:42 Ralf Lang (B1 Systems GmbH) Comment #14 Reply to this comment
However this part you are not going to like - the Portal doesn't work
correctly with iframes on.  And I'm not sure we can realistically
make it work either without adding a bunch of hackish code.  The
problem is that any link within the iframe that eventually opens up
IMP again (e.g. the newmail folder summary) will cause IMP to be
fully reloaded within the IFRAME.  So you end up with 2 sidebars.
Didn't you move the old dynamic portal to Horde at one point?

[Show Quoted Text - 11 lines]
This is also my use case. I use dimp as the central portal for the 
installation, including non-horde tools.

Apart from user experience of changing navigation (horde menu, imp 
menu) there is also a problem when users click on imp sub menu points, 
like folders. Imp won't check if ajax is available and will directly 
go to traditional view.
2011-05-18 08:12:37 Jan Schneider Comment #13 Reply to this comment
However this part you are not going to like - the Portal doesn't 
work correctly with iframes on.  And I'm not sure we can 
realistically make it work either without adding a bunch of hackish 
code.  The problem is that any link within the iframe that 
eventually opens up IMP again (e.g. the newmail folder summary) will 
cause IMP to be fully reloaded within the IFRAME.  So you end up 
with 2 sidebars.
Didn't you move the old dynamic portal to Horde at one point?
Which begs the question - why don't we just get rid of iframe 
entirely?  It doesn't work properly, and won't ever work properly, 
unless the proper framework is implemented in Horde (*NOT* IMP).   
Until that happens, it is going to be prohibitively difficult to try 
to support.
We need it for preferences for example, and it was a requirement of 
SAPO (and makes sense for everyone using IMP, or Kronolith for that 
matter, as the main application) to stay in the ajax view when 
displaying other non-ajax Horde apps.
2011-05-18 07:56:17 Michael Slusarz Comment #12 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10092: Disable portal when using iframes

  1 files changed, 0 insertions(+), 2 deletions(-)
http://git.horde.org/horde-git/-/commit/09743e7ccea20e0e476d9485f8f015145b1e53b1
I've disabled portal when using iframes for now.  I would really like 
to see the iframe mode go away.  I personally am not willing to fix 
portal with iframes since I don't have the time.
2011-05-18 07:52:32 Git Commit Comment #11 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10092: Disable portal when using iframes

  1 files changed, 0 insertions(+), 2 deletions(-)
http://git.horde.org/horde-git/-/commit/09743e7ccea20e0e476d9485f8f015145b1e53b1
2011-05-18 07:49:36 Ralf Lang (B1 Systems GmbH) Comment #10 Reply to this comment
Posted about that earlier, maybe there is a connection to the other issues?
http://bugs.horde.org/ticket/9713
I invested some more time on -git


  * The dimpbase.go event is triggered on click on preferences or on 
any mail folder but not on Portal.
  * Linking horde as an app and clicking that link works

2011-05-18 07:43:09 Michael Slusarz Comment #9 Reply to this comment
Nevermind.  I was confused - turns out that using IFRAMES are not the default.

However this part you are not going to like - the Portal doesn't work 
correctly with iframes on.  And I'm not sure we can realistically make 
it work either without adding a bunch of hackish code.  The problem is 
that any link within the iframe that eventually opens up IMP again 
(e.g. the newmail folder summary) will cause IMP to be fully reloaded 
within the IFRAME.  So you end up with 2 sidebars.

Which begs the question - why don't we just get rid of iframe 
entirely?  It doesn't work properly, and won't ever work properly, 
unless the proper framework is implemented in Horde (*NOT* IMP).   
Until that happens, it is going to be prohibitively difficult to try 
to support.
2011-05-18 06:41:31 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #8 Reply to this comment
Works fine here.  And the HTML looks fine:

      <a href="/horde/services/portal/" accesskey="P"><span 
class="accessKey">P</span>ortal</a>
Here: <a><span class="accessKey">P</span>ortal</a>

Posted about that earlier, maybe there is a connection to the other issues?
http://bugs.horde.org/ticket/9713
2011-05-18 04:51:17 Michael Slusarz Comment #7 Reply to this comment
Works fine here.  And the HTML looks fine:

      <a href="/horde/services/portal/" accesskey="P"><span 
class="accessKey">P</span>ortal</a>
2011-05-17 23:23:14 Ralf Lang (B1 Systems GmbH) Comment #6 Reply to this comment
imp/template/dimp/index.inc defines the id appportal for the portal
link in iframe mode
imp/js/dimpbase.js doesn't provide an access key portal although the
documentation comment says so.
I can verify the accesskey doesn't work (dimpbase.js is irrelevant 
for this analysis - accesskeys are handled by 
horde/js/accesskeys.js).  This has been fixed.
I think access keys (keyboard key strokes to focus something or to 
trigger actions)  is not what I meant.

In iframe mode, clicking the Portal button or pressing alt-P both 
doesn't do anything - even after the patch.
In no-iframe mode, clicking the portal button brings back to horde.


2011-05-17 16:59:55 Michael Slusarz Comment #5
State ⇒ Feedback
Reply to this comment
imp/template/dimp/index.inc defines the id appportal for the portal 
link in iframe mode
imp/js/dimpbase.js doesn't provide an access key portal although the 
documentation comment says so.
I can verify the accesskey doesn't work (dimpbase.js is irrelevant for 
this analysis - accesskeys are handled by horde/js/accesskeys.js).   
This has been fixed.
2011-05-17 16:59:36 Git Commit Comment #4 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10092: Fix portal accesskey in dynamic mode

  1 files changed, 2 insertions(+), 2 deletions(-)
http://git.horde.org/horde-git/-/commit/dd98e21d65dff9d2b3ce35743fc195e1d471cd5f
2011-05-17 16:56:30 Michael Slusarz Comment #3 Reply to this comment
When I use dimp view and iframe mode, pressing the upper left portal 
button neither shows the horde portal nor dimp's portal as seen on 
H3. It does nothing.

In no iframe mode, it shows the horde portal.
Works fine here.
2011-05-17 09:49:13 Ralf Lang (B1 Systems GmbH) Comment #2 Reply to this comment

imp/template/dimp/index.inc defines the id appportal for the portal 
link in iframe mode
imp/js/dimpbase.js doesn't provide an access key portal although the 
documentation comment says so.


2011-05-17 08:04:47 Ralf Lang (B1 Systems GmbH) Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Portal button does nothing in Dimp iframe mode
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
When I use dimp view and iframe mode, pressing the upper left portal 
button neither shows the horde portal nor dimp's portal as seen on H3. 
It does nothing.

In no iframe mode, it shows the horde portal.

This has been tested in Firefox 4.0.1

Does dimp portal use a separate config? I didn't find a preference or 
conf file like H3 dimp's previous config/portal.php

I did not notice any error log or javascript error message.

Please give me instructions on how I can help debugging this. Alternatively,
the test scenario can be downloaded here.

http://susegallery.com/a/BZ4vzQ/kde4-horde4-demo-setup


Saved Queries